<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Pathfinding Algorithms: Node Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Pathfinding Algorithms
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classNode-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Node Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:adc9618f80550af09a1001ce39b31385c"><td class="memItemLeft" align="right" valign="top"><a id="adc9618f80550af09a1001ce39b31385c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Node</b> (NodeType type, int x=0, int y=0)</td></tr>
<tr class="separator:adc9618f80550af09a1001ce39b31385c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84cb67dc8702743e50385303dec47551"><td class="memItemLeft" align="right" valign="top"><a id="a84cb67dc8702743e50385303dec47551"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Node</b> (NodeType type, double weight, int x=0, int y=0)</td></tr>
<tr class="separator:a84cb67dc8702743e50385303dec47551"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e28753e22ef956f881210795f1c102f"><td class="memItemLeft" align="right" valign="top"><a id="a0e28753e22ef956f881210795f1c102f"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (const <a class="el" href="classNode.html">Node</a> &amp;other) const</td></tr>
<tr class="separator:a0e28753e22ef956f881210795f1c102f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a438f9a583f733cd05d0a6e0ef28dd3ef"><td class="memItemLeft" align="right" valign="top"><a id="a438f9a583f733cd05d0a6e0ef28dd3ef"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator!=</b> (const <a class="el" href="classNode.html">Node</a> &amp;other) const</td></tr>
<tr class="separator:a438f9a583f733cd05d0a6e0ef28dd3ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbf4c424e4e58ae45491583204bd80ce"><td class="memItemLeft" align="right" valign="top"><a id="acbf4c424e4e58ae45491583204bd80ce"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;</b> (const <a class="el" href="classNode.html">Node</a> &amp;other) const</td></tr>
<tr class="separator:acbf4c424e4e58ae45491583204bd80ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fd0218c6c0595bcd31f312ce6033d3a"><td class="memItemLeft" align="right" valign="top"><a id="a4fd0218c6c0595bcd31f312ce6033d3a"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>getX</b> () const</td></tr>
<tr class="separator:a4fd0218c6c0595bcd31f312ce6033d3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0696bee0c11e69d227497db29227872a"><td class="memItemLeft" align="right" valign="top"><a id="a0696bee0c11e69d227497db29227872a"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>getY</b> () const</td></tr>
<tr class="separator:a0696bee0c11e69d227497db29227872a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7549451917c86ed0499416cd1bb8aa91"><td class="memItemLeft" align="right" valign="top"><a id="a7549451917c86ed0499416cd1bb8aa91"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>getWeight</b> () const</td></tr>
<tr class="separator:a7549451917c86ed0499416cd1bb8aa91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05a7565fa8ee552deda5174ca163739d"><td class="memItemLeft" align="right" valign="top"><a id="a05a7565fa8ee552deda5174ca163739d"></a>
NodeType&#160;</td><td class="memItemRight" valign="bottom"><b>Type</b> () const</td></tr>
<tr class="separator:a05a7565fa8ee552deda5174ca163739d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a406a2d57bd4983d1809abcaac10d9ebc"><td class="memItemLeft" align="right" valign="top"><a id="a406a2d57bd4983d1809abcaac10d9ebc"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setX</b> (int)</td></tr>
<tr class="separator:a406a2d57bd4983d1809abcaac10d9ebc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5bbce399cfbcf0f6420e6ba8993464f"><td class="memItemLeft" align="right" valign="top"><a id="ae5bbce399cfbcf0f6420e6ba8993464f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setY</b> (int)</td></tr>
<tr class="separator:ae5bbce399cfbcf0f6420e6ba8993464f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="Node_8hpp_source.html">Node.hpp</a></li>
<li>src/Node.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
